LibreOffice: XMenuProxy Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XMenuProxy Interface Referencepublished

Allows to execute dispatch for a menu item and handles listeners for changes in menu items. More...

`import <XMenuProxy.idl;`

Inheritance diagram for XMenuProxy:

## Public Member Functions
void | executeMenuItem ([in] short ID)
| Executes dispatch for the given menu id.
void | addMenuProxyListener ([in] XMenuProxyListener xListener)
| Registers an event listener, which will be called when the menu changes.
void | removeMenuProxyListener ([in] XMenuProxyListener xListener)
| Unregisters an event listener which was registered with XMenuProxy::addMenuProxyListener().
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Allows to execute dispatch for a menu item and handles listeners for changes in menu items.

## Member Function Documentation

## ◆ addMenuProxyListener()

void addMenuProxyListener | ( | [in] XMenuProxyListener | xListener | ) |

Registers an event listener, which will be called when the menu changes.

Parameters

  xListener | [in]: the listener to be set

## ◆ executeMenuItem()

void executeMenuItem | ( | [in] short | ID | ) |

Executes dispatch for the given menu id.

Parameters

  ID | [in]: the menu item

## ◆ removeMenuProxyListener()

void removeMenuProxyListener | ( | [in] XMenuProxyListener | xListener | ) |

Unregisters an event listener which was registered with XMenuProxy::addMenuProxyListener().

Parameters

  xListener | [in]: the listener to be removed

The documentation for this interface was generated from the following file:

- com/sun/star/mozilla/XMenuProxy.idl